package com.gzlh.led.handler.impl;

import cn.hutool.core.util.StrUtil;
import com.gzlh.led.brand.LedBrandType;
import com.gzlh.led.client.LedNettyConfig;
import com.gzlh.led.handler.ILedHandler;
import com.gzlh.led.utils.ColorConver;
import com.gzlh.led.utils.YangBandPackage;
import com.gzlh.red.brand.RedBrandType;
import com.gzlh.utils.WordHandlerUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 上海仰邦科技股份有限公司BX-5(M)K/6K（YY）-V4.2 led发送处理器
 */
@Service
@Slf4j
public class LedHandlerYangBandV4d2 implements ILedHandler {

    @Resource
    private LedNettyConfig ledNettyConfig;

    @Override
    public LedBrandType brandType() {
        return LedBrandType.SHANGHAI_YANGBAND_BX;
    }

    @Override
    public void sendMsg(int positionLine,String content) {
        //log.info(RedBrandType.SHANGHAI_YANGBAND_BX.getBrand() + "发送消息:{}", content);
        String pack = YangBandPackage.buildPackage(positionLine,ColorConver.NU_TO_HEX.get(1) + WordHandlerUtils.msgToASCII(content));
        pack= StrUtil.replace(pack," ","");
        ledNettyConfig.send(pack);
    }
    @Override
    public void sendMsg(String content) {
        sendMsg(1,content);
    }
}
