package com.gzlh.red.handler.impl;

import cn.hutool.core.util.StrUtil;
import com.gzlh.led.factory.LedFactory;
import com.gzlh.led.handler.ILedHandler;
import com.gzlh.led.properties.LedPropertiesConfig;
import com.gzlh.red.brand.RedBrandType;
import com.gzlh.red.handler.IRedHandler;
import com.gzlh.weighbridge.config.WeighbridgePropertiesConfig;
import com.gzlh.weighbridge.factory.WeighbridgeFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 聚英翱翔电子 01082899821  聚英翱翔电子，按0，转技术电话
 * dam0404d 品牌
 */
@Service
@Slf4j
public class RedHandlerSoarDAM0404 implements IRedHandler {
    /**
     * 断开的信号
     */
    private final static String FIRST_BREAK_SIGNAL = "01 02 01 02 20 49";
    private final static String FIRST_LINK_SIGNAL = "01 02 01 03 E1 89";


    @Resource
    LedFactory ledFactory;
    @Resource
    private LedPropertiesConfig ledPropertiesConfig;

    @Resource
    WeighbridgeFactory weighbridgeFactory;
    @Resource
    WeighbridgePropertiesConfig weighbridgePropertiesConfig;


    @Override
    public RedBrandType brandType() {
        return RedBrandType.SHANGHAI_YANGBAND_BX;
    }

    @Override
    public void handlerMsg(String content) {
       // log.info(RedBrandType.SHANGHAI_YANGBAND_BX.getBrand() + "对红外处理消息:{}", content);
        ILedHandler handler = ledFactory.handler(ledPropertiesConfig.getBrand());
        content = StrUtil.replace(content, " ", "").toUpperCase();
        //进 被遮挡
        if (StrUtil.equals(StrUtil.replace(FIRST_BREAK_SIGNAL, " ", ""), content)) {
            //todo test msg
            String msg = "请继续往前";
            handler.sendMsg(msg);
        }else if (StrUtil.equals(StrUtil.replace(FIRST_LINK_SIGNAL, " ", ""), content)){
            String msg = "即将称重";
            handler.sendMsg(msg);
            weighbridgeFactory.handler(weighbridgePropertiesConfig.getBrand()).startReadMsg();
        }
    }
}
