package com.gzlh.weighbridge.handler.impl;

import cn.hutool.core.util.StrUtil;
import com.gzlh.led.factory.LedFactory;
import com.gzlh.led.handler.ILedHandler;
import com.gzlh.led.properties.LedPropertiesConfig;
import com.gzlh.red.brand.RedBrandType;
import com.gzlh.red.config.RedPropertiesConfig;
import com.gzlh.weighbridge.brand.WeighbridgeBrandType;
import com.gzlh.weighbridge.config.WeighbridgePropertiesConfig;
import com.gzlh.weighbridge.factory.WeighbridgeFactory;
import com.gzlh.weighbridge.handler.IWeighbridgeHandler;
import com.gzlh.weighbridge.server.CheckManager;
import com.gzlh.weighbridge.server.WeighbridgeReqService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Arrays;

/**
 * 宁波柯力地磅处理器
 */
@Service
@Slf4j
public class WeighbridgeHandlerKeLi implements IWeighbridgeHandler {
    @Resource
    private WeighbridgeReqService weighbridgeReqService;
    @Resource
    private RedPropertiesConfig redPropertiesConfig;

    @Override
    public WeighbridgeBrandType brandType() {
        return WeighbridgeBrandType.NINGBO_KELI;
    }

    @Override
    public void startReadMsg() {
        CheckManager.setStart();
    }

    @Override
    public void handlerMsg(String msg) {

//        log.info("客户端收到消息：" + msg);
        msg = StrUtil.replace(msg, "\u0003", "").replace("\u0002", "");
//        log.info("转换后消息：" + msg);
        // 去掉开头和结尾的特殊字符
        msg = msg.substring(1, msg.length() - 1);
//        log.info("msg:{}",msg);
        String str="10045001";
        // 将字符串转换成字节数组类型+10045001B
        byte[] bytes = msg.getBytes();
//        byte[] bytes = str.getBytes();
        // 取出有效数据
        byte[] validData = Arrays.copyOfRange(bytes, 0, bytes.length - 2);
        // 将有效数据转换成实际重量值
        int weight = Integer.parseInt(new String(validData));
        if (redPropertiesConfig.isEnable()){
            //如果开始读数 缓存是2秒，读2秒的数据=========>开启红外功能
            weighbridgeReqService.handlerV2(weight);
            return;
        }
        weighbridgeReqService.handler(weight);
    }

    public static void main(String[] args) {
        String str="10045001";
//        String str="00858001";
        // 将字符串转换成字节数组类型+10045001B
//        byte[] bytes = msg.getBytes();
        byte[] bytes = str.getBytes();
        // 取出有效数据
        byte[] validData = Arrays.copyOfRange(bytes, 0, bytes.length - 2);
        // 将有效数据转换成实际重量值
        int weight = Integer.parseInt(new String(validData));
        System.out.println(weight);
    }
}
